/*Las Venturas Freeroam
 *Created By Assasin
 *All Rights Reserved(2006)
 *
*/

#if defined _dutils_included
  #endinput
#endif

new iSpawnSet[MAX_PLAYERS];

new Float:gRandomPlayerSpawns[4][3] = {
{1958.3783,1343.1572,15.3746},
{2199.6531,1393.3678,10.8203},
{2483.5977,1222.0825,10.8203},
{2637.2712,1129.2743,11.1797}
};


public SetPlayerRandomSpawn(playerid)
{
    if (iSpawnSet[playerid] == 0)
    {
		new rand = random(sizeof(gRandomPlayerSpawns));
		SetPlayerPos(playerid, gRandomPlayerSpawns[rand][0], gRandomPlayerSpawns[rand][1], gRandomPlayerSpawns[rand][2]);
    }
	return 1;
}